"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Test .srt file using "dot" between second and millisecond
// For example `00:00:52.34`
// Notice the "." in 52 and 34?
const chai_1 = __importDefault(require("chai"));
const fs_1 = __importDefault(require("fs"));
const index_1 = __importDefault(require("../src/index"));
var srt = fs_1.default.readFileSync("./test-file/Welcome-648062.en.srt", {
    encoding: "utf-8",
});
describe("Read 00:00:00.05 --> 00:00:02.00", function () {
    chai_1.default.should();
    var p = new index_1.default();
    var result = p.fromSrt(srt);
    it("into 00:00:00,050 and 00:00:02,000", function () {
        chai_1.default.expect(result[0].startTime).to.equal("00:00:00,050");
        chai_1.default.expect(result[0].endTime).to.equal("00:00:02,000");
        chai_1.default.expect(result[0].startSeconds).to.equal(0.05);
        chai_1.default.expect(result[0].endSeconds).to.equal(2);
    });
});
