"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("../src/index"));
const chai_1 = __importDefault(require("chai"));
const fs_1 = __importDefault(require("fs"));
// Read a correct .srt file
var srt = fs_1.default.readFileSync("./test-file/correct.srt", { encoding: "utf-8" });
describe("Test basic function", function () {
    chai_1.default.should();
    var result;
    var parser_instance = new index_1.default();
    it("parser.fromSrt() should execute without crashes", function () {
        result = parser_instance.fromSrt(srt);
    });
    it("parser.fromSrt() should return array", function () {
        chai_1.default.expect(result).to.be.a("array");
    });
    it("parser.fromSrt() should contain valid subtitle objects", function () {
        for (var i in result) {
            var s = result[i];
            chai_1.default.expect(s).to.have.property("id");
            chai_1.default.expect(s).to.have.property("startTime");
            chai_1.default.expect(s).to.have.property("endTime");
            chai_1.default.expect(s).to.have.property("text");
        }
    });
    var originalData;
    it("parser.toSrt() should execute without crashes", function () {
        originalData = parser_instance.toSrt(result);
    });
    it("parser.toSrt() should convert object back as it was before without changes", function () {
        chai_1.default.expect(srt.trim() === originalData.trim()).to.be.ok;
    });
});
