"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("../src/index"));
const chai_1 = __importDefault(require("chai"));
const fs_1 = __importDefault(require("fs"));
describe("Test wrong format: dot as separator", function () {
    var srt = fs_1.default.readFileSync("./test-file/dot-as-separator.srt", {
        encoding: "utf-8",
    });
    chai_1.default.should();
    var result;
    var parser_instance = new index_1.default();
    it("parser.fromSrt() should execute without crashes", function () {
        result = parser_instance.fromSrt(srt);
    });
    it("parser.fromSrt() should return array", function () {
        chai_1.default.expect(result).to.be.a("array");
        chai_1.default.expect(result).to.have.lengthOf(2);
    });
    it("parser.fromSrt() should contain valid subtitle objects", function () {
        for (var i in result) {
            var s = result[i];
            chai_1.default.expect(s).to.have.property("id");
            chai_1.default.expect(s).to.have.property("startTime");
            chai_1.default.expect(s).to.have.property("endTime");
            chai_1.default.expect(s).to.have.property("text");
        }
    });
    it("parser.toSrt() should execute without crashes", function () {
        parser_instance.toSrt(result);
    });
});
describe("Test wrong format: single digit hour", function () {
    var srt = fs_1.default.readFileSync("./test-file/single-digit-hour.srt", {
        encoding: "utf-8",
    });
    chai_1.default.should();
    var result;
    var parser_instance = new index_1.default();
    it("parser.fromSrt() should execute without crashes", function () {
        result = parser_instance.fromSrt(srt);
    });
    it("parser.fromSrt() should return array", function () {
        chai_1.default.expect(result).to.be.a("array");
        chai_1.default.expect(result).to.have.lengthOf(3);
    });
    it("parser.fromSrt() should contain valid subtitle objects", function () {
        for (var i in result) {
            var s = result[i];
            chai_1.default.expect(s).to.have.property("id");
            chai_1.default.expect(s).to.have.property("startTime");
            chai_1.default.expect(s).to.have.property("endTime");
            chai_1.default.expect(s).to.have.property("text");
        }
    });
    it("parser.toSrt() should execute without crashes", function () {
        parser_instance.toSrt(result);
    });
});
